summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rwxr-xr-xscripts/ffmpeg-config4
1 files changed, 2 insertions, 2 deletions
diff --git a/scripts/ffmpeg-config b/scripts/ffmpeg-config
index 3c0be56..0bbc217 100755
--- a/scripts/ffmpeg-config
+++ b/scripts/ffmpeg-config
@@ -16,8 +16,8 @@ fi
OPTIONS="$OPTIONS $USER_OPTS"
# Do FFmpeg's job.
-if ! ( echo "$OPTIONS" | grep -e --enable-openssl ) &&
- ! ( echo "$OPTIONS" | grep -e --enable-gnutls ) ;
+if ! ( echo "$OPTIONS" | grep -q -e --enable-openssl ) &&
+ ! ( echo "$OPTIONS" | grep -q -e --enable-gnutls ) ;
then
if pkg-config gnutls ; then
OPTIONS="$OPTIONS --enable-gnutls"